Is your computer having trouble with GenerationPulse?

GenerationPulse works on PC, Mac and Linux computers.

GenerationPulse works best on these types of browsers, so you might consider upgrading if you have an older version:

  • Firefox 2 and higher, or any other recent Mozilla browser
  • Safari 2 and higher, or any other recent Webkit browser
  • Internet Explorer 7 or higher

 

To open PDF versions of stories, you will need Acrobat Reader on your computer.  If the PDF versions do not open automatically when you click the Adobe icon, you can download Adobe Reader at the link below:

http://get.adobe.com/reader